# Initiate a new bulk sequence subscription

POST https://api.close.com/api/v1/bulk_action/sequence_subscription/
Content-Type: application/json

`action_type` must be one of:

- `subscribe` to create a new sequence subscription for contacts that have never received the given sequence.
- `resume` to resume any paused sequence subscriptions for the given sequence or all sequences if `sequence_id` is not provided.
- `resume_finished` to resume any finished sequence subscriptions for the given sequence or all sequences if `sequence_id` is not provided.
- `pause` to pause any active sequence subscriptions for the given sequence or all sequences if `sequence_id` is not provided.

`sequence_id`, `sender_account_id`, `sender_name`, `sender_email` and `contact_preference` are required if `action_type` is `subscribe`.

`contact_preference` can be set to:

- `lead` to only subscribe the primary/first contact email of the lead.
- `contact` to subscribe the primary email of each contact of the lead.

Reference: https://developer.close.com/api/resources/bulk-actions/sequence-subscriptions/create

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /bulk_action/sequence_subscription/:
    post:
      operationId: create
      summary: Initiate a new bulk sequence subscription
      description: >-
        `action_type` must be one of:


        - `subscribe` to create a new sequence subscription for contacts that
        have never received the given sequence.

        - `resume` to resume any paused sequence subscriptions for the given
        sequence or all sequences if `sequence_id` is not provided.

        - `resume_finished` to resume any finished sequence subscriptions for
        the given sequence or all sequences if `sequence_id` is not provided.

        - `pause` to pause any active sequence subscriptions for the given
        sequence or all sequences if `sequence_id` is not provided.


        `sequence_id`, `sender_account_id`, `sender_name`, `sender_email` and
        `contact_preference` are required if `action_type` is `subscribe`.


        `contact_preference` can be set to:


        - `lead` to only subscribe the primary/first contact email of the lead.

        - `contact` to subscribe the primary email of each contact of the lead.
      tags:
        - subpackage_bulkActionsSequenceSubscriptions
      parameters:
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkSequenceSubscriptionAction'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    BulkSequenceSubscriptionActionType:
      type: string
      enum:
        - subscribe
        - resume
        - resume_finished
        - pause
        - reassign
      title: BulkSequenceSubscriptionActionType
    BulkSequenceSubscriptionContactPreference:
      type: string
      enum:
        - lead
        - contact
      title: BulkSequenceSubscriptionContactPreference
    BulkActionStatus:
      type: string
      enum:
        - created
        - loading
        - processing
        - done
        - paused
        - resuming
        - error
      title: BulkActionStatus
    BulkSequenceSubscriptionAction:
      type: object
      properties:
        action_type:
          $ref: '#/components/schemas/BulkSequenceSubscriptionActionType'
        calls_assigned_to:
          type:
            - array
            - 'null'
          items:
            type: string
        contact_preference:
          oneOf:
            - $ref: '#/components/schemas/BulkSequenceSubscriptionContactPreference'
            - type: 'null'
        created_by:
          type:
            - string
            - 'null'
        date_created:
          type:
            - string
            - 'null'
          format: date-time
        date_updated:
          type:
            - string
            - 'null'
          format: date-time
        from_phone_number_id:
          type:
            - string
            - 'null'
        id:
          type: string
        n_leads:
          type:
            - integer
            - 'null'
        n_leads_processed:
          type: integer
        n_objects:
          type:
            - integer
            - 'null'
        n_objects_processed:
          type: integer
        organization_id:
          type: string
        query:
          type:
            - string
            - 'null'
        results_limit:
          type:
            - integer
            - 'null'
        s_query:
          type: object
          additionalProperties:
            description: Any type
        send_done_email:
          type: boolean
        sender_account_id:
          type:
            - string
            - 'null'
        sender_email:
          type:
            - string
            - 'null'
        sender_name:
          type:
            - string
            - 'null'
        sequence_id:
          type:
            - string
            - 'null'
        sort:
          type: array
          items:
            type: object
            additionalProperties:
              description: Any type
        status:
          oneOf:
            - $ref: '#/components/schemas/BulkActionStatus'
            - type: 'null'
        updated_by:
          type:
            - string
            - 'null'
      required:
        - action_type
        - calls_assigned_to
        - contact_preference
        - created_by
        - date_created
        - date_updated
        - from_phone_number_id
        - id
        - n_leads
        - n_leads_processed
        - n_objects
        - n_objects_processed
        - organization_id
        - query
        - results_limit
        - s_query
        - send_done_email
        - sender_account_id
        - sender_email
        - sender_name
        - sequence_id
        - sort
        - status
        - updated_by
      title: BulkSequenceSubscriptionAction
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```